add_library(app STATIC
    src/application.cpp
    src/globals.cpp
    src/irq_bridge.cpp
)

target_include_directories(app PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}/inc
)

target_link_libraries(app PUBLIC stm32cubemx platform f4ll)